Bug 188055 - snd-sbawe module fails to load
snd-sbawe module fails to load
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 12:43 EDT by David A. De Graaf
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 04:55:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file of failed system-config-soundcard (3.12 KB, text/plain)
2006-04-05 12:43 EDT, David A. De Graaf
no flags Details
Another failed attempt to run s-c-s (3.51 KB, application/octet-stream)
2006-04-08 15:24 EDT, David A. De Graaf
no flags Details
output of lshal (50.80 KB, application/octet-stream)
2006-04-14 10:50 EDT, David A. De Graaf
no flags Details
output of dmesg after reboot (8.30 KB, application/octet-stream)
2006-04-18 20:20 EDT, David A. De Graaf
no flags Details

  None (edit)
Description David A. De Graaf 2006-04-05 12:43:11 EDT
Description of problem:
Sound module fails to load


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.  Fresh install FC5; run system-config-soundcard
2.
3.
  
Actual results:
The soundcard is detected correctly:  Vendor: Creative  Model: SB-AWE64
PnP-CTL0045  Module: snd-sbawe
but no sound is emitted, and /etc/modprobe.conf remains unsullied by sound
entries.  The log file, /root/scsound.log is attached.


Expected results:
Sound!


Additional info:
Next, I install this modprobe.conf from an FC4 backup and reboot:
$ cat /etc/modprobe.conf
alias eth0 8139too
alias snd-card-0 snd-sbawe
options snd-card-0 index=0
options snd-sbawe index=0
remove snd-sbawe { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-sbawe

If I run   aplay /usr/share/sounds/generic.wav   I get a long string of ALSA
error messages, and no sound.  With lsmod I observe that the snd-sbawe and
related sound modules are NOT loaded.

However, if I manually run   modprobe -v snd-sbawe  I see about 11 modules being
installed, and sound then works perfectly.

Apparently, the automatic module loading dictated by modprobe.conf isn't working
 any more.  As a workaround, I've added a line to /etc/rc.d/rc.local,
    modprobe snd-sbawe
and this solves the problem for the moment.  I'd appreciate a proper fix, though.
Comment 1 David A. De Graaf 2006-04-05 12:43:11 EDT
Created attachment 127357 [details]
log file of failed system-config-soundcard
Comment 2 Martin Stransky 2006-04-08 11:34:43 EDT
Could you please add these old lines:

alias snd-card-0 snd-sbawe
options snd-card-0 index=0
options snd-sbawe index=0
remove snd-sbawe { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-sbawe

to /etc/modprobe.conf, remove your workaround from /etc/rc.d/rc.local/, reboot
your box, run s-c-s and attach new /root/scsound.log?
Comment 3 David A. De Graaf 2006-04-08 15:24:59 EDT
Created attachment 127511 [details]
Another failed attempt to run s-c-s
Comment 4 David A. De Graaf 2006-04-08 15:26:12 EDT
Yes - it is attached.

I note that I had these exact lines in /etc/modprobe.conf already, but I did cut
& paste your lines, just in case I had a typo.

Upon rebooting, I verified with lsmod that the snd-sbawe module and all its
cousins were NOT loaded.  Then I ran s-c-s, which failed to produce any sound
and again failed to cause the required modules to be loaded.

After collecting the attached log file, I manually loaded the modules,  modprobe
snd-sbawe,  and was then able to produce sound with aplay.
Comment 5 Martin Stransky 2006-04-14 09:10:12 EDT
Could you please attach output of "$lshal"?
Comment 6 David A. De Graaf 2006-04-14 10:50:18 EDT
Created attachment 127751 [details]
output of lshal
Comment 7 David A. De Graaf 2006-04-14 10:51:00 EDT
Your request is somewhat cryptic.  What does $lshal mean?

# $lshal 

produces nothing.  Similarly,

# man lshal
No manual entry for lshal

In my rather primitive view, a command without a man page may as well not exist.
 However,

# lshal > /tmp/lshal.out

does produce a lengthy file, which is attached.  Hope it helps.
Comment 8 Martin Stransky 2006-04-18 16:35:12 EDT
Could you please attach output of dmesg?
Comment 9 David A. De Graaf 2006-04-18 20:19:08 EDT
Yes.  I first commented out from /etc/rc.d/rc.local the lines:
#  On datant, sound won't work until module is forcibly loaded.
# modprobe snd-sbawe
# aplay /home/dad/sounds/sparcle.wav

Then rebooted and captured the output  dmesg1.out.
Then I ran   modprobe -v snd-sbawe  and captured dmesg2.out.

These differ by only two lines:
$ diff dmesg1.out dmesg2.out
196a197,198
> pnp: Device 00:01.00 activated.
> pnp: Device 00:01.02 activated.

The complete dmesg1.out is attached.
Comment 10 David A. De Graaf 2006-04-18 20:20:33 EDT
Created attachment 127956 [details]
output of dmesg after reboot
Comment 11 Martin Stransky 2006-04-25 03:27:43 EDT
It's a bug in HAL, kudzu isn't used any more for loading modules and HAL doesn't
catch your card.
Comment 12 Jim Haynes 2006-05-23 15:01:17 EDT
I have exactly the same problem with a sound card that system-config-soundcard
identifies as SB AWE32 PnP CTL0031    This is an ISA card.  I used the above
workaround of putting the modprobe snd-sbawe into /etc/rc.d/rc.local and it
now works.
Comment 13 Jim Haynes 2006-05-26 12:18:58 EDT
Same problem (and same work-around works) on an ISA Sound Blaster that
the system-config-soundcard identifies as SB AWE64 PnP CTL0045
Comment 14 Martin Stransky 2006-06-15 11:06:34 EDT
support for ISA cards was removed in FC5 (I don't know why) so you have to add
line with modprobe to some init script (like /etc/rc.local)
Comment 15 David A. De Graaf 2006-06-15 16:15:17 EDT
No, no, no!   Support for this sound card exists - it works fine with the
snd-sbawe module, when loaded manually.

What's newly broken in FC5 is that proper lines in /etc/modprobe.conf are no
longer effective.  Something is causing /etc/modprobe.conf to be ignored.

That's what needs to be fixed.
Comment 16 Martin Stransky 2006-06-16 01:58:04 EDT
modprobe.conf isn't used for module loadig, it's a configuration file. Modules
are loaded by init scripts....
Comment 17 David A. De Graaf 2006-06-16 11:08:39 EDT
Whatever...

All I know is it used to work;  now it doesn't.

Where, exactly, is this init script for a sound device?  When was the need for
one introduced?  Where is that need documented?  For as long as I can remember,
system-config-soundcard, if it worked at all, resulted in whatever configuration
files that are needed to make the sound system work.  Now it doesn't.

That's broken.
Comment 18 Martin Stransky 2006-07-21 04:55:42 EDT
Unfortunately, support for ISA modules (loading during boot) was removed in FC5
and later kernels. If you want this feature back, report this bug against kernel.

Note You need to log in before you can comment on or make changes to this bug.